Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154447 - Satellite schema upgrade 3.6-215->3.7 results in errors.
Summary: Satellite schema upgrade 3.6-215->3.7 results in errors.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Slagle
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 19:22 UTC by Steve Conklin
Modified: 2007-10-24 02:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-12 02:11:00 UTC


Attachments (Terms of Use)

Description Steve Conklin 2005-04-11 19:22:50 UTC
Description of problem:
Errors during upgrade of 3.6 satellite to 3.7

During an upgrade from schema version 3.6-199 to 3.7, the first two schema
upgrade scripts ran without errors, bring the schema version to 3.6-215.

While running the last sql script, the following errors were seen:

				Table altered.


				Warning: Package Body created with
compilation errors.

				Errors for PACKAGE BODY RHN_BEL:

				LINE/COL ERROR
				--------
-----------------------------------------------------------------
				3/11     PLS-00323: subprogram or cursor
'FIND_STATE_OF_ORG' is declared
				         in a package specification and
must be defined in the package
				         body

				6/11     PLS-00323: subprogram or cursor
'IS_STATE_LEGACY_UNCLASSIFIED' is
				         declared in a package
specification and must be defined in the
				         package body

				15/11    PLS-00323: subprogram or cursor
'LOOKUP_ORG_STATE' is declared in
				         a package specification and
must be defined in the package body


				LINE/COL ERROR
				--------
-----------------------------------------------------------------
				18/12    PLS-00323: subprogram or cursor
'VALIDATE_ORG_STATE_CHANGE' is
				         declared in a package
specification and must be defined in the
				         package body

				22/12    PLS-00323: subprogram or cursor
'JOIN_RHN' is declared in a
				         package specification and must
be defined in the package body

				25/12    PLS-00323: subprogram or cursor
'SET_ORG_PAID' is declared in a
				         package specification and must
be defined in the package body

				28/12    PLS-00323: subprogram or cursor
'SET_ORG_UNPAID' is declared in a

				LINE/COL ERROR
				--------
-----------------------------------------------------------------
				         package specification and must
be defined in the package body


				Package body created.

				No errors.

				Warning: Package Body created with
compilation errors.

				Errors for PACKAGE BODY RHN_CONFIG:

				LINE/COL ERROR
				--------
-----------------------------------------------------------------
				8/11     PLS-00323: subprogram or cursor
'INSERT_REVISION' is declared in
				         a package specification and
must be defined in the package body


				View created.


				Table altered.


				Procedure created.

				No errors.

				Table altered.

Comment 1 Steve Conklin 2005-04-11 19:24:15 UTC
The customer says that during their upgrade to sat3.6, they also had errors and
had to run some custom sql. I will try to determine from them why they have
customizations, and whether they can be removed.


Comment 2 Steve Conklin 2005-04-11 19:32:52 UTC
The customer says that they aren't using any db customizations that they are
aware of. They have been running monitoring for about a week.

Comment 4 Steve Conklin 2005-04-12 02:09:52 UTC
According to information from RHN engineering, these aren't fatal and can be
ignored as long as the script completed.


Note You need to log in before you can comment on or make changes to this bug.